import { ContactEquation } from '../equations/ContactEquation';
import { Pool } from './Pool';

export class ContactEquationPool extends Pool {
	/**
	 * @class
	 */
	// constructor(options) {
	// 	super( options);
	// }

	/**
	 * @method create
	 * @return {ContactEquation}
	 */
	create(): ContactEquation {
		return new ContactEquation();
	};

	/**
	 * @method destroy
	 * @param {ContactEquation} equation
	 * @return {ContactEquationPool}
	 */
	destroy(equation: ContactEquation): ContactEquationPool {
		equation.bodyA = equation.bodyB = null;
		return this;
	};
}
